# eric3.Wizards.QRegExpWizard.QRegExpWizardRepeatDialog

Module implementing a dialog for entering repeat counts.

### Classes

QRegExpWizardRepeatDialog | Class implementing a dialog for entering repeat counts.

### Functions

None

## QRegExpWizardRepeatDialog

Class implementing a dialog for entering repeat counts.

### Derived from

QRegExpWizardRepeatForm

### Methods

QRegExpWizardRepeatDialog | Constructor
getRepeat | Public method to retrieve the dialog's result.

### QRegExpWizardRepeatDialog (Constructor)

QRegExpWizardRepeatDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

### QRegExpWizardRepeatDialog.getRepeat

getRepeat()

Public method to retrieve the dialog's result.

Returns:
  ready formatted repeat string (string)

Up